## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           ssh-agent-filter
Version:        0.5.2
Release:        %autorelease
Summary:        filtering proxy for ssh-agent meant to be forwarded to untrusted servers

License:        GPL-3
URL:            https://git.tiwe.de/ssh-agent-filter.git
Source0:        https://git.tiwe.de/ssh-agent-filter.git/snapshot/ssh-agent-filter-%{version}.tar.gz
Patch0:         help2man-with-no-nls.patch

BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  pandoc
BuildRequires:  help2man
BuildRequires:  boost-devel
BuildRequires:  nettle-devel
Requires:  nettle
Requires:  boost-filesystem
Requires:  boost-iostreams
Requires:  boost-program-options
Requires:  openssh-clients


%define bash_completions_dir %{_datadir}/bash-completion/completions


%description
 This package solves the all-or-nothing problem regarding ssh-agent forwarding. It contains:

 * ssh-agent-filter, the filtering proxy itself
 * afssh, a wrapper around ssh-agent-filter and ssh


%prep
%autosetup

%build
%make_build all


%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -av afssh $RPM_BUILD_ROOT%{_bindir}/
cp -av ssh-agent-filter $RPM_BUILD_ROOT%{_bindir}/
cp -av ssh-askpass-noinput $RPM_BUILD_ROOT%{_bindir}/

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
cp -av afssh.1 $RPM_BUILD_ROOT%{_mandir}/man1/
cp -av ssh-agent-filter.1 $RPM_BUILD_ROOT%{_mandir}/man1/
cp -av ssh-askpass-noinput.1 $RPM_BUILD_ROOT%{_mandir}/man1/

mkdir -p $RPM_BUILD_ROOT%{bash_completions_dir}
cp -av ssh-agent-filter.bash-completion $RPM_BUILD_ROOT%{bash_completions_dir}/ssh-agent-filter
ln -sv ssh-agent-filter $RPM_BUILD_ROOT%{bash_completions_dir}/afssh


%check


%files
%license GPL-3
%doc README.md
%{_bindir}/afssh
%{_bindir}/ssh-agent-filter
%{_bindir}/ssh-askpass-noinput
%{bash_completions_dir}/ssh-agent-filter
%{bash_completions_dir}/afssh
%{_mandir}/man1/afssh.1.gz
%{_mandir}/man1/ssh-agent-filter.1.gz
%{_mandir}/man1/ssh-askpass-noinput.1.gz


%changelog
## START: Generated by rpmautospec
* Wed Apr 16 2025 Unknown User <please-configure-git-user@example.com> - 0.5.2-2
- Uncommitted changes

* Wed Apr 16 2025 Konrad Vité <kvite@paktolos.net> - 0.5.2-1
- Initial commit
## END: Generated by rpmautospec
